GET
/
v1
/
account
Get Account Details
curl --request GET \
  --url https://api.bolt.com/v1/account \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'
{
  "addresses": [
    {
      "company": "Bolt",
      "country": "United States",
      "country_code": "US",
      "door_code": "123456",
      "email_address": "alan.watts@example.com",
      "first_name": "Alan",
      "id": "<string>",
      "last_name": "Watts",
      "locality": "Brooklyn",
      "name": "Alan Watts",
      "phone_number": "+12125550199",
      "postal_code": "10044",
      "priority": "primary",
      "region": "NY",
      "region_code": "NY",
      "street_address1": "888 main street",
      "street_address2": "apt 3021",
      "street_address3": "c/o Alicia Watts",
      "street_address4": "Bridge Street Apartment Building B",
      "default": true,
      "metadata": {
        "customer_id": 234
      }
    }
  ],
  "has_bolt_account": true,
  "payment_methods": [
    {
      "billing_address": {
        "company": "Bolt",
        "country": "United States",
        "country_code": "US",
        "door_code": "123456",
        "email_address": "alan.watts@example.com",
        "first_name": "Alan",
        "id": "<string>",
        "last_name": "Watts",
        "locality": "Brooklyn",
        "name": "Alan Watts",
        "phone_number": "+12125550199",
        "postal_code": "10044",
        "priority": "primary",
        "region": "NY",
        "region_code": "NY",
        "street_address1": "888 main street",
        "street_address2": "apt 3021",
        "street_address3": "c/o Alicia Watts",
        "street_address4": "Bridge Street Apartment Building B"
      },
      "id": "<string>",
      "last4": "4021",
      "exp_month": 11,
      "exp_year": 2024,
      "network": "visa",
      "default": true,
      "description": "<string>",
      "metadata": {
        "customer_id": 234
      }
    }
  ],
  "profile": {
    "email": "alan.watts@example.com",
    "first_name": "Alan",
    "last_name": "Watts",
    "metadata": {
      "customer_id": 234
    },
    "name": "Alan Watts",
    "phone": "+12125550199"
  }
}

Authorizations

Authorization
string
header
required

Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs. For all APIs that require authorization, please provide your access_token returned from /v1/oauth/token via the basic auth bearer header Authorization: bearer ${TOKEN}. Read more about the OAuth token endpoint.

X-API-Key
string
header
required

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

Headers

X-Publishable-Key
string

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].

Response

200 - application/json

Account Details Fetched

addresses
object[]

A list of all addresses associated to the shopper's account.

has_bolt_account
boolean

Used to determine whether a Bolt Account exists with this shopper's account details.

payment_methods
object[]

A list of all payment methods associated to the shopper's account.

Saved Credit Card Detail

profile
object

The shopper's account profile.